import 'package:bizdoc/models/profile.dart';
import 'package:bizdoc/services/network.dart';
import 'package:flutter/material.dart';

class IDashboardWidget {}

/// state which can be consumed by a dashboard widget
class BizDocWidgetState extends ChangeNotifier {
  final WidgetInfo _widget;
  dynamic _data;
  Map<String, dynamic> get options => _widget.options ?? {};
  String get name => _widget.name;
  dynamic get data => _data;
  bool get hasData => _data != null;
  BizDocWidgetState(this._widget);

  execute() async {
    try {
      var response = await network.dio.put('/dashboard/$name');
      if (response.statusCode == 200) _data = response.data;
      notifyListeners();
    } on Exception {
      // TODO
    }
  }
}
