import 'package:bizdoc/models/profile.dart';

class CubeSeries {
  final String? name;
  final String? index;
  String? title;
  final List<Point> points;
  CubeSeries(this.name, this.index, this.points);
  factory CubeSeries.fromJson(Map<String, dynamic> json) {
    return CubeSeries(
      json['name'],
      json['index'],
      List.from(json['points'].map((e) => Point.fromJson(e))),
    );
  }
}

class Point {
  final String x;
  String? xLabel;
  final double y;
  Point(this.x, this.y);
  factory Point.fromJson(Map<String, dynamic> json) {
    return Point(json['x'], json['y']);
  }
}

class ExploreType {
  final String? template;
  final List<FieldInfo> columns;
  ExploreType(this.template, this.columns);
  factory ExploreType.fromJson(Map<String, dynamic> json) {
    return ExploreType(
      json['template'],
      List<FieldInfo>.from(json['columns'].map((e) => FieldInfo.fromJson(e))),
    );
  }
}
