abstract class LogBase {
  DateTime time;
  final int? recipientId;
  final bool? estimate;
  final String? userId;
  final String? byId;
  final String? nodeId;
  final int? duration;
  LogBase(this.time, this.recipientId, this.estimate, this.userId, this.byId,
      this.nodeId, this.duration);
  static construct(Map<String, dynamic> json) {
    switch (json['type']) {
      case 'ActionTaken':
        return ActionTaken.fromJson(json);
    }
  }
}

class ActionTaken extends LogBase {
  final String action;
  final String? role;
  final bool? fyi;
  final bool? escalated;
  final String? note;
  final String? substitutingId;
  final int? originId;
  factory ActionTaken.fromJson(Map<String, dynamic> json) {
    return ActionTaken(
        DateTime.parse(json['time']),
        json['recipientId'],
        json['estimate'],
        json['userId'],
        json['byId'],
        json['nodeId'],
        json['duration'],
        json['action'],
        json['role'],
        json['fyi'],
        json['escalated'],
        json['note'],
        json['substitutingId'],
        json['originId']);
  }

  ActionTaken(
      DateTime time,
      int? recipientId,
      bool? estimate,
      String? userId,
      String? byId,
      String? nodeId,
      int? duration,
      this.action,
      this.role,
      this.fyi,
      this.escalated,
      this.note,
      this.substitutingId,
      this.originId)
      : super(
          time,
          recipientId,
          estimate,
          userId,
          byId,
          nodeId,
          duration,
        );
}
