import 'package:bizdoc/services/network.dart';
import 'package:dio/dio.dart';

abstract class Service {
  final Dio dio = network.dio;
  final appState = network.appState;
  void handleError(DioError e) {
    switch (e.response?.statusCode) {
      case 409:
        throw ConflictError(e.response!.data);
      case 406:
        throw ValidationError(e.response!.data);
    }
  }
}

class UnauthorizedError {}

class ValidationError {
  final String message;

  ValidationError(this.message);
}

class ConflictError {
  final dynamic data;
  ConflictError(this.data);
}
